<div class="container d-flex flex-column justify-content-center">
  <div class="p-4">
    <h1>9 - 1 : Créer une directive d'attribut</h1>
    <div appHighlight>
      <p>Je suis en formation et je m'eclate</p>
      <p>J'adore le formateur et mes camarades</p>
      <p>Mais surtout Abdallah, il est etrange...des fois</p>
    </div>
  </div>
  <div class="p-4">
    <h1>9 - 2 : Créer une directive structurelle</h1>
    <br />
    <div>
      <h3>If directive</h3>
      <input type="radio" name="rad1" (click)="showcpIf = true" />True
      <input type="radio" name="rad1" (click)="showcpIf = false" />False
      <br />
      <div *cpIf="showcpIf">
        <p>Hello Je suis là</p>
      </div>
      <ng-template [cpIf]="!showcpIf">
        <p>Message non disponible</p>
      </ng-template>
    </div>
    <div>
      <h3>Loop directive</h3>
      <ul>
        <li *cpLoop="5">Hello les copains !!!</li>
      </ul>
    </div>
    <div>
      <h3>Delay directive</h3>
      <div>
        <input
          type="radio"
          name="rad2"
          (click)="showcpDelay = true; delay = 2000"
        />2 secondes
        <input
          type="radio"
          name="rad2"
          (click)="showcpDelay = true; delay = 5000"
        />
        5 secondes
        <input
          type="radio"
          name="rad2"
          (click)="showcpDelay = true; delay = 7000"
        />
        7 secondes
      </div>
      <br />
      <div *cpIf="showcpDelay">
        <div *appDelay="delay">Est ce que ca va tout le monde ?????</div>
      </div>
    </div>
  </div>
</div>
